package omq.client.listener;

public class RequestInfo {
	private String uid_request;
	private boolean multi;
	private int wait;

	public RequestInfo(String uid_request, boolean multi, int wait) {
		this.uid_request = uid_request;
		this.multi = multi;
		this.wait = wait;
	}

	public String getUid_request() {
		return uid_request;
	}

	public void setUid_request(String uid_request) {
		this.uid_request = uid_request;
	}

	public boolean isMulti() {
		return multi;
	}

	public void setMulti(boolean multi) {
		this.multi = multi;
	}

	public int getWait() {
		return wait;
	}

	public void setWait(int wait) {
		this.wait = wait;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj instanceof RequestInfo) {
			return uid_request.equals(((RequestInfo) obj).getUid_request());
		}
		return false;
	}
}
